cURL
curl --request POST \ --url https://app.lanten.co/api/open/v1/tenants \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "firstName": "<string>", "lastName": "<string>", "email": "jsmith@example.com", "phoneNumber": "<string>", "notes": "<string>", "unitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } '
{ "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "firstName": "<string>", "lastName": "<string>", "email": "jsmith@example.com", "phoneNumber": "<string>", "notes": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "tenantUnits": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "unit": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "fullAddress": "<string>" } } ] } }
160
Assign the tenant to an existing unit on creation.
Tenant created
Show child attributes